Subject: bug#31173: closed (Re: [bug#31173] [PATCH] gnu: Add python-onetimepass.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Apr 2018 06:37:02 +0000

Your bug report

#31173: [PATCH] gnu: Add python-onetimepass.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31173: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31173
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31173] [PATCH] gnu: Add python-onetimepass.
From: Tomáš Čech <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Apr 2018 08:36:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Apr 17, 2018 at 12:47:59AM +0200, Marius Bakke wrote:
>Tomáš Čech <[email-masked]> writes:
>
>> * gnu/packages/python.scm (python-onetimepass): New variable.
>
>[...]
>
>> +(define-public python-onetimepass
>> +  (package
>> +    (name "python-onetimepass")
>
>Please check the indentation of this package.  Use
>'./etc/indent-code.el' if you're not an emacs user.

as with other patches I sent - I run it through and result is
unchanged. But I'll be careful about that, thanks!

>> +    (version "1.0.1")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (pypi-uri "onetimepass" version))
>> +       (sha256
>> +        (base32
>> +         "09vagxgbq78wvq4xbikmn2hpqqsa2i96kqsmphf7dqynfv0dlsd5"))))
>> +    (build-system python-build-system)
>> +    (inputs
>> +       `(("python-six" ,python-six)))
>
>Should this not be a propagated input?

It didn't seem so.

>> +    (home-page "https://github.com/tadeck/onetimepass/")
>> +    (synopsis "Python one-time password library")
>
>Maybe s/Python// even.

Fixed.

>> +    (description "Pyhton one-time password library for HMAC-based (HOTP) and
>                      ^^^ typo (importo?)

Fixed.

>> +time-based (TOTP) passwords.")
>
>Please also turn this into a complete sentence.  "@code{onetimepass} is
>a Python library for...".  Bonus points if you can mention use-cases and
>in general expand on it :-)
>
>> +    (license license:x11)))
>
>I believe this is "expat".

Fixed.

>Otherwise LGTM.

Pushed.

Thank you for your review!

Best regards,

S_W

Subject: [PATCH] gnu: Add python-onetimepass.
From: Tomáš Čech <[email-masked]>
To: [email-masked]
Cc: Tomáš Čech <[email-masked]>
Date: Mon, 16 Apr 2018 11:05:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/python.scm (python-onetimepass): New variable.
---
 gnu/packages/python.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index e5b74a57f..aedd30566 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -50,6 +50,7 @@
 ;;; Copyright © 2018 Vijayalakshmi Vedantham <[email-masked]>
 ;;; Copyright © 2018 Mathieu Lirzin <[email-masked]>
 ;;; Copyright © 2018 Adam Massmann <[email-masked]>
+;;; Copyright © 2016, 2018 Tomáš Čech <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -13127,3 +13128,23 @@ file system events on Linux.")
     (description "Pybtex is a BibTeX-compatible bibliography processor written
 in Python.  You can simply type pybtex instead of bibtex.")
     (license license:expat)))
+
+(define-public python-onetimepass
+  (package
+    (name "python-onetimepass")
+    (version "1.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "onetimepass" version))
+       (sha256
+        (base32
+         "09vagxgbq78wvq4xbikmn2hpqqsa2i96kqsmphf7dqynfv0dlsd5"))))
+    (build-system python-build-system)
+    (inputs
+       `(("python-six" ,python-six)))
+    (home-page "https://github.com/tadeck/onetimepass/")
+    (synopsis "Python one-time password library")
+    (description "Pyhton one-time password library for HMAC-based (HOTP) and
+time-based (TOTP) passwords.")
+    (license license:x11)))
-- 
2.16.3